## manhole 1.8.1

=== debian/changelog ===
manhole (1.8.1-1) experimental; urgency=low

  * Initial release, autogenerated by py2dsp/4.20240727 then reviewed
    (Closes: #1106776)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 29 May 2025 15:48:09 +0000
