=== debian/control ===
Source: manhole
Section: python
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject, python3-setuptools,
               python3-all,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/ionelmc/python-manhole
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-manhole.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-manhole

Package: python3-manhole
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Debugging manhole for python applications
 Manhole is in-process service that will accept unix domain socket
 connections and present the stacktraces for all threads and an
 interactive prompt. It can either work as a python daemon thread
 waiting for connections at all times or a signal handler (stopping
 your application and waiting for a connection).
 .
 Access to the socket is restricted to the application's effective
 user id or root.
 .
 This is just like Twisted's manhole. It's simpler (no dependencies),
 it only runs on Unix domain sockets (in contrast to Twisted's manhole
 which can run on telnet or ssh) and it integrates well with various
 types of applications.
 .
 Features:
  * Uses unix domain sockets, only root or same effective user can connect.
  * Can run the connection in a thread or in a signal handler.
  * Compatible with apps that fork, reinstalls the Manhole thread after fork.
  * Compatible with gevent and eventlet with some limitations
  * The thread is compatible with apps that use signalfd
