=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=manhole
%:
	dh $@ --with python3 --buildsystem=pybuild
